Bug 225956 - Merge Review: jzlib
Merge Review: jzlib
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Spike
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:14 EST by Nobody's working on this, feel free to take it
Modified: 2010-11-04 12:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 12:50:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
spike: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:14:17 EST
Fedora Merge Review: jzlib

http://cvs.fedora.redhat.com/viewcvs/devel/jzlib/
Initial Owner: vivekl@redhat.com
Comment 1 Spike 2010-11-03 17:12:16 EDT
I'll do this one.
Comment 2 Spike 2010-11-04 00:48:12 EDT
=== REQUIRED ITEMS ===
[!]  Rpmlint output:
jzlib.spec:39: W: non-standard-group Development/Libraries/Java
jzlib.spec:59: W: non-standard-group Development/Documentation
jzlib.spec:69: W: non-standard-group Development/Libraries/Java
jzlib.spec:61: W: mixed-use-of-spaces-and-tabs (spaces: line 31, tab: line 61)
jzlib.src: W: spelling-error Summary(en_US) zlib -> Lib, lib, glib
jzlib.src: W: name-repeated-in-summary C JZlib
jzlib.src: W: spelling-error %description -l en_US zlib -> Lib, lib, glib
jzlib.src: W: spelling-error %description -l en_US lossless -> loss less, loss-less, Lisle's
jzlib.src: W: spelling-error %description -l en_US loup -> lo up, lo-up, lop
jzlib.src: W: non-standard-group Development/Libraries/Java
jzlib.src:61: W: mixed-use-of-spaces-and-tabs (spaces: line 31, tab: line 61)
jzlib.noarch: W: spelling-error Summary(en_US) zlib -> Lib, lib, glib
jzlib.noarch: W: name-repeated-in-summary C JZlib
jzlib.noarch: W: spelling-error %description -l en_US zlib -> Lib, lib, glib
jzlib.noarch: W: spelling-error %description -l en_US lossless -> loss less, loss-less, Lisle's
jzlib.noarch: W: spelling-error %description -l en_US loup -> lo up, lo-up, lop
jzlib.noarch: W: non-standard-group Development/Libraries/Java
jzlib-demo.noarch: W: non-standard-group Development/Libraries/Java
jzlib-demo.noarch: W: dangerous-command-in-%post rm
jzlib-demo.noarch: W: dangerous-command-in-%postun rm
jzlib-javadoc.noarch: W: non-standard-group Development/Documentation
jzlib-javadoc.noarch: W: dangerous-command-in-%post rm
jzlib-javadoc.noarch: W: dangerous-command-in-%postun rm
4 packages and 1 specfiles checked; 0 errors, 23 warnings.


[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[!]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[!]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: BSD
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[!]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 3c52a0afb970e8a1fb2d34f30d330a83
MD5SUM upstream package: 3c52a0afb970e8a1fb2d34f30d330a83
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[-]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[!]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[!]  Packages have proper BuildRequires/Requires on jpackage-utils
[!]  Javadoc subpackages have Require: jpackage-utils
[!]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.

=== Maven ===
[-]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven2.jpp.depmap.file=*" explain why it's needed in a comment
[-]  Package uses %update_maven_depmap in %post/%postun
[-]  Packages have Requires(post) and Requires(postun) on jpackage-utils (for %update_maven_depmap macro)

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Javadocs are placed in %{_javadocdir}/%{name}-%{version} with %{_javadocdir}/%{name} symlink
[x]  Jar files are installed to %{_javadir}/%{name}-%{version}.jar with %{_javadir}/%{name}.jar (unversioned) symlink
[-]  If package contains pom.xml files install it (including depmaps) even when building with ant 
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on: fedora-rawhide-i386


=== Issues ===
1. rpmlint output
2. Packaging Guidelines: Please fix release tag with next bump (8%{?dist})
3. buildroot
4. No license file in javadoc subpackage
5. Demo subpackage needs versioned dependency on main package. If it's really independent, it needs its own license file
6. Check BRs/Rs for jpackage-utils (and java/java-devel)
7. Check javadoc Rs for jpackage-utils
8. global -> define


=== Final Notes ===
1. post/postun for subpackages seem to be unnecessary
2. I guess, docs for subpackages don't need to be ghosted
Comment 3 Alexander Kurtakov 2010-11-04 04:19:04 EDT
(In reply to comment #2)
> === Issues ===
> 1. rpmlint output
jzlib.noarch: W: spelling-error Summary(en_US) zlib -> lib, glib, z lib
jzlib.noarch: W: spelling-error %description -l en_US zlib -> lib, glib, z lib
Fixed.
> 2. Packaging Guidelines: Please fix release tag with next bump (8%{?dist})
Fixed.
> 3. buildroot
Removed.
> 4. No license file in javadoc subpackage
Fixed.
> 5. Demo subpackage needs versioned dependency on main package. If it's really
> independent, it needs its own license file
Dependency added.
> 6. Check BRs/Rs for jpackage-utils (and java/java-devel)
> 7. Check javadoc Rs for jpackage-utils
Fixed.
> 8. global -> define
Removed.
> 
> 
> === Final Notes ===
> 1. post/postun for subpackages seem to be unnecessary
Removed.
> 2. I guess, docs for subpackages don't need to be ghosted
Removed.
Comment 4 Spike 2010-11-04 12:50:48 EDT
================
*** APPROVED ***
================

closing...

Note You need to log in before you can comment on or make changes to this bug.